Description

In method parse_redmine_links used very long regex that impossible to understand with first look.

Added names for capture groups.

Associated revisions

Revision 16152 - 2017-01-07 11:52 - Jean-Philippe Lang

More readable regexp for parse_redmine_links (#24382).

Patch by Dmitry Lisichkin.

History

#1 - 2016-11-24 19:34 - Toshi MARUYAMA

- Target version set to 3.4.0

#2 - 2016-12-16 09:22 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Breaks a test:

ruby test\unit\helpers\application_helper_test.rb

DL is deprecated, please use Fiddle

Run options: --seed 7252

# Running:

.............................................................E..................

....................

Finished in 2.519144s, 39.6960 runs/s, 154.0206 assertions/s.

  1) Error:

ApplicationHelperTest#test_parse_redmine_links_should_handle_a_tag_without_attri

butes:

NoMethodError: undefined method `+' for nil:NilClass

    app/helpers/application_helper.rb:943:in `block in parse_redmine_links'

    app/helpers/application_helper.rb:800:in `gsub!'

    app/helpers/application_helper.rb:800:in `parse_redmine_links'

    test/unit/helpers/application_helper_test.rb:1279:in `test_parse_redmine_lin

ks_should_handle_a_tag_without_attributes'

100 runs, 388 assertions, 0 failures, 1 errors, 0 skips

#3 - 2016-12-23 08:24 - Dmitry Lisichkin

- File parse_redmine_links_regexp_simplify1.patch added

Sorry, wrong place for "tag_content" capture group.

Fixed.

#4 - 2016-12-25 06:39 - Go MAEDA

- Category changed from Text formatting to Code cleanup/refactoring
#5 - 2017-01-07 11:53 - Jean-Philippe Lang

- Subject changed from simplified regex for parse_redmine_links to More readable regex for parse_redmine_links

- Status changed from Needs feedback to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks for fixing the patch.

#6 - 2017-01-07 13:15 - Mischa The Evil

Dmitry, that's a nice refactoring making the method a lot more readable and thus easier to understand.

Files

parse_redmine_links_regexp_simplify.patch 2.74 KB 2016-11-16 Dmitry Lisichkin

parse_redmine_links_regexp_simplify1.patch 2.73 KB 2016-12-23 Dmitry Lisichkin
